diff a/make/autoconf/jdk-options.m4 b/make/autoconf/jdk-options.m4
--- a/make/autoconf/jdk-options.m4
+++ b/make/autoconf/jdk-options.m4
@@ -700,13 +700,15 @@
 
 ################################################################################
 #
 # Enable or disable the default CDS archive generation for Compact Object Headers
 #
+# Default disabled within Valhalla until support added (JDK-8348568)
+#
 AC_DEFUN([JDKOPT_ENABLE_DISABLE_CDS_ARCHIVE_COH],
 [
-  UTIL_ARG_ENABLE(NAME: cds-archive-coh, DEFAULT: auto, RESULT: BUILD_CDS_ARCHIVE_COH,
+  UTIL_ARG_ENABLE(NAME: cds-archive-coh, DEFAULT: false, RESULT: BUILD_CDS_ARCHIVE_COH,
       DESC: [enable generation of default CDS archives for compact object headers (requires --enable-cds-archive)],
       DEFAULT_DESC: [auto],
       CHECKING_MSG: [if default CDS archives for compact object headers should be generated],
       CHECK_AVAILABLE: [
         AC_MSG_CHECKING([if CDS archive with compact object headers is available])
